<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.17"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>Moxit: Member List</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">Moxit
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.17 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
var searchBox = new SearchBox("searchBox", "search",false,'Search');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */</script>
<div id="main-nav"></div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div id="nav-path" class="navpath">
  <ul>
<li class="navelem"><a class="el" href="namespaceCatch.html">Catch</a></li><li class="navelem"><a class="el" href="namespaceCatch_1_1Generators.html">Generators</a></li><li class="navelem"><a class="el" href="classCatch_1_1Generators_1_1RandomFloatingGenerator.html">RandomFloatingGenerator</a></li>  </ul>
</div>
</div><!-- top -->
<div class="header">
  <div class="headertitle">
<div class="title">Catch::Generators::RandomFloatingGenerator&lt; Float &gt; Member List</div>  </div>
</div><!--header-->
<div class="contents">

<p>This is the complete list of members for <a class="el" href="classCatch_1_1Generators_1_1RandomFloatingGenerator.html">Catch::Generators::RandomFloatingGenerator&lt; Float &gt;</a>, including all inherited members.</p>
<table class="directory">
  <tr class="even"><td class="entry"><a class="el" href="classCatch_1_1Generators_1_1GeneratorUntypedBase.html#a00ff0179d739c3016756b6cf56fabbad">GeneratorUntypedBase</a>()=default</td><td class="entry"><a class="el" href="classCatch_1_1Generators_1_1GeneratorUntypedBase.html">Catch::Generators::GeneratorUntypedBase</a></td><td class="entry"></td></tr>
  <tr><td class="entry"><a class="el" href="classCatch_1_1Generators_1_1GeneratorUntypedBase.html#a00ff0179d739c3016756b6cf56fabbad">GeneratorUntypedBase</a>()=default</td><td class="entry"><a class="el" href="classCatch_1_1Generators_1_1GeneratorUntypedBase.html">Catch::Generators::GeneratorUntypedBase</a></td><td class="entry"></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classCatch_1_1Generators_1_1RandomFloatingGenerator.html#a0dea6fa1f9e2647df022f0b588cf0a8f">get</a>() const override</td><td class="entry"><a class="el" href="classCatch_1_1Generators_1_1RandomFloatingGenerator.html">Catch::Generators::RandomFloatingGenerator&lt; Float &gt;</a></td><td class="entry"><span class="mlabel">inline</span></td></tr>
  <tr><td class="entry"><a class="el" href="classCatch_1_1Generators_1_1RandomFloatingGenerator.html#a0dea6fa1f9e2647df022f0b588cf0a8f">get</a>() const override</td><td class="entry"><a class="el" href="classCatch_1_1Generators_1_1RandomFloatingGenerator.html">Catch::Generators::RandomFloatingGenerator&lt; Float &gt;</a></td><td class="entry"><span class="mlabel">inline</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="structCatch_1_1Generators_1_1IGenerator.html#a525d381fc9249a885b075a0632a8579a">IGenerator&lt; Float &gt;::get</a>() const=0</td><td class="entry"><a class="el" href="structCatch_1_1Generators_1_1IGenerator.html">Catch::Generators::IGenerator&lt; Float &gt;</a></td><td class="entry"><span class="mlabel">pure virtual</span></td></tr>
  <tr><td class="entry"><a class="el" href="classCatch_1_1Generators_1_1RandomFloatingGenerator.html#a3591690761d8da0f4438623a453e6bc0">m_current_number</a></td><td class="entry"><a class="el" href="classCatch_1_1Generators_1_1RandomFloatingGenerator.html">Catch::Generators::RandomFloatingGenerator&lt; Float &gt;</a></td><td class="entry"><span class="mlabel">private</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classCatch_1_1Generators_1_1RandomFloatingGenerator.html#ad321459b0f9246c91bd33bf1b786c293">m_dist</a></td><td class="entry"><a class="el" href="classCatch_1_1Generators_1_1RandomFloatingGenerator.html">Catch::Generators::RandomFloatingGenerator&lt; Float &gt;</a></td><td class="entry"><span class="mlabel">private</span></td></tr>
  <tr><td class="entry"><a class="el" href="classCatch_1_1Generators_1_1RandomFloatingGenerator.html#a407e9c774abfc16a18dbae0770847f70">m_rng</a></td><td class="entry"><a class="el" href="classCatch_1_1Generators_1_1RandomFloatingGenerator.html">Catch::Generators::RandomFloatingGenerator&lt; Float &gt;</a></td><td class="entry"><span class="mlabel">private</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classCatch_1_1Generators_1_1RandomFloatingGenerator.html#a6a65e5f16abd884f58c31581b2a0d6db">next</a>() override</td><td class="entry"><a class="el" href="classCatch_1_1Generators_1_1RandomFloatingGenerator.html">Catch::Generators::RandomFloatingGenerator&lt; Float &gt;</a></td><td class="entry"><span class="mlabel">inline</span><span class="mlabel">virtual</span></td></tr>
  <tr><td class="entry"><a class="el" href="classCatch_1_1Generators_1_1RandomFloatingGenerator.html#a6a65e5f16abd884f58c31581b2a0d6db">next</a>() override</td><td class="entry"><a class="el" href="classCatch_1_1Generators_1_1RandomFloatingGenerator.html">Catch::Generators::RandomFloatingGenerator&lt; Float &gt;</a></td><td class="entry"><span class="mlabel">inline</span><span class="mlabel">virtual</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classCatch_1_1Generators_1_1RandomFloatingGenerator.html#abce275ce88f7c3465addd7a98b6c408d">RandomFloatingGenerator</a>(Float a, Float b)</td><td class="entry"><a class="el" href="classCatch_1_1Generators_1_1RandomFloatingGenerator.html">Catch::Generators::RandomFloatingGenerator&lt; Float &gt;</a></td><td class="entry"><span class="mlabel">inline</span></td></tr>
  <tr><td class="entry"><a class="el" href="classCatch_1_1Generators_1_1RandomFloatingGenerator.html#abce275ce88f7c3465addd7a98b6c408d">RandomFloatingGenerator</a>(Float a, Float b)</td><td class="entry"><a class="el" href="classCatch_1_1Generators_1_1RandomFloatingGenerator.html">Catch::Generators::RandomFloatingGenerator&lt; Float &gt;</a></td><td class="entry"><span class="mlabel">inline</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="structCatch_1_1Generators_1_1IGenerator.html#a1f8677875fe0ff31f39c60d45504b9a5">type</a> typedef</td><td class="entry"><a class="el" href="structCatch_1_1Generators_1_1IGenerator.html">Catch::Generators::IGenerator&lt; Float &gt;</a></td><td class="entry"></td></tr>
  <tr><td class="entry"><a class="el" href="structCatch_1_1Generators_1_1IGenerator.html#a1f8677875fe0ff31f39c60d45504b9a5">type</a> typedef</td><td class="entry"><a class="el" href="structCatch_1_1Generators_1_1IGenerator.html">Catch::Generators::IGenerator&lt; Float &gt;</a></td><td class="entry"></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classCatch_1_1Generators_1_1GeneratorUntypedBase.html#a6f05f8099fdc5744a7aff68aa8c09c7f">~GeneratorUntypedBase</a>()</td><td class="entry"><a class="el" href="classCatch_1_1Generators_1_1GeneratorUntypedBase.html">Catch::Generators::GeneratorUntypedBase</a></td><td class="entry"><span class="mlabel">virtual</span></td></tr>
  <tr><td class="entry"><a class="el" href="classCatch_1_1Generators_1_1GeneratorUntypedBase.html#a6f05f8099fdc5744a7aff68aa8c09c7f">~GeneratorUntypedBase</a>()</td><td class="entry"><a class="el" href="classCatch_1_1Generators_1_1GeneratorUntypedBase.html">Catch::Generators::GeneratorUntypedBase</a></td><td class="entry"><span class="mlabel">virtual</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="structCatch_1_1Generators_1_1IGenerator.html#afe5b6eecbbd735e69748d68574611747">~IGenerator</a>()=default</td><td class="entry"><a class="el" href="structCatch_1_1Generators_1_1IGenerator.html">Catch::Generators::IGenerator&lt; Float &gt;</a></td><td class="entry"><span class="mlabel">virtual</span></td></tr>
  <tr><td class="entry"><a class="el" href="structCatch_1_1Generators_1_1IGenerator.html#afe5b6eecbbd735e69748d68574611747">~IGenerator</a>()=default</td><td class="entry"><a class="el" href="structCatch_1_1Generators_1_1IGenerator.html">Catch::Generators::IGenerator&lt; Float &gt;</a></td><td class="entry"><span class="mlabel">virtual</span></td></tr>
</table></div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated by &#160;<a href="http://www.doxygen.org/index.html">
<img class="footer" src="doxygen.png" alt="doxygen"/>
</a> 1.8.17
</small></address>
</body>
</html>
